Request

Response

    Invite Notes
    GET

    invite-notes

    Retrieves a list of invite notes. These notes are internal memos for tracking the progress of the invite.

    At least one of the filters filter[projectId] or filter[currentAccLinkedProjectId] must be provided.

    This endpoint will additionally return invite notes on projects owned by external companies when the includeExternal parameter is provided

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/buildingconnected/v2/invite-notes
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    * Required

    Request

    Query String Parameters

    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    limit
    int
    The maximum number of records that the endpoint may return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last page of a set is returned.

    Default value: 100

    filter[projectId]
    array: string
    Comma separated IDs of projects with which the objects returned in the response must be associated.
    filter[bidPackageId]
    array: string
    Comma separated IDs of bid packages with which the objects returned in the response must be associated.
    filter[inviteId]
    string
    The ID of an invite for which the bids returned in the response must have been submitted.
    filter[currentAccLinkedProjectId]
    string
    The ID of a Forma project with which the objects returned in the response are associated with BuildingConnected projects that are linked to this Forma Project.
    filter[bidderCompanyId]
    string
    The ID of a bidder company with which the objects returned in the response must be associated.
    includeExternal
    boolean
    Whether to include invite notes from external companies in the response. Possible values: true: External invite notes are included. false: (Default) External invite notes are not included. Note that this filter can be used only with filter[currentAccLinkedProjectId] or filter[projectId].

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The pagination details of a response.
    limit
    int
    The maximum number of records to return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last or only page is returned.
    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    nextUrl
    string
    The URL path that returns the next page of data.
    results
    array: object
    Notes for invites.
    id
    string
    The unique ID of the note.

    Max length: 24

    projectId
    string
    The ID of the BuildingConnected project the note is under.

    Max length: 24

    bidPackageId
    string
    The ID of the bid package the note is under.

    Max length: 24

    inviteId
    string
    The ID of the invite the note is associated with.

    Max length: 24

    currentAccLinkedProjectId
    string
    The project ID of the Forma project currently linked to from this invites’s BuildingConnected project.
    bidderCompany
    object
    The company that the note is regarding.
    id
    string
    The ID of the company that the note is regarding.

    Max length: 24

    createdAt
    datetime: ISO 8601
    The date and time that the note was created, in ISO 8601 format.
    createdBy
    object
    Information for a given user on BuildingConnected.
    id
    string
    The unique BuildingConnected ID of this user.

    Max length: 24

    firstName
    string
    The user’s first name.
    lastName
    string
    The user’s last name.
    email
    string
    The user’s email address.
    avatarImageUrl
    string
    The cached imgix url for the avatar image of the user.
    note
    string
    Internal memo for tracking the progress of this bid invitation.

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/invite-notes?filter[currentAccLinkedProjectId]=00f1b796-293a-4c1e-9474-f09711011426' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
        "nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
      },
      "results": [
        {
          "id": "59d2bd7440b36a0da258f24f",
          "projectId": "59d2bd7440b36a0da258f25a",
          "bidPackageId": "59d2bd7440b36a0da258f23b",
          "inviteId": "59d2bd7440b36a0da258f1d5",
          "currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
          "bidderCompany": {
            "id": "59d2bd7440b36a0da258f24f"
          },
          "createdAt": "2014-09-25T19:00:00.000Z",
          "createdBy": {
            "id": "5d8104b87e392d56e1e4b4ca",
            "firstName": "First",
            "lastName": "Last",
            "email": "email@example.com",
            "avatarImageUrl": "https://www.example.com/"
          },
          "note": "I called the client on Monday and they said they will submit their bid late."
        }
      ]
    }
    
    Show More